Bug 166406 - TileGrid revalidates tiles twice during flush, first with wrong visible rect
Summary: TileGrid revalidates tiles twice during flush, first with wrong visible rect
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Horton
URL:
Keywords: InRadar
Depends on: 167464
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-21 17:56 PST by Tim Horton
Modified: 2017-02-07 10:30 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.89 KB, patch)
2016-12-21 17:57 PST, Tim Horton
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Horton 2016-12-21 17:56:40 PST
TileGrid revalidates tiles twice during flush, first with wrong visible rect
Comment 1 Tim Horton 2016-12-21 17:57:07 PST
Created attachment 297643 [details]
Patch
Comment 2 WebKit Commit Bot 2016-12-21 19:07:17 PST
Comment on attachment 297643 [details]
Patch

Clearing flags on attachment: 297643

Committed r210095: <http://trac.webkit.org/changeset/210095>
Comment 3 WebKit Commit Bot 2016-12-21 19:07:21 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2017-01-06 17:47:52 PST
<rdar://problem/29912221>
Comment 5 WebKit Commit Bot 2017-01-26 13:42:34 PST
Re-opened since this is blocked by bug 167464
Comment 6 Simon Fraser (smfr) 2017-02-07 10:30:20 PST
Re-landed in http://trac.webkit.org/r211766